define('dummy/tests/acceptance/acceptance-test', ['ember', 'ember-qunit', 'dummy/tests/helpers/start-app'], function (Ember, ember_qunit, startApp) {

    'use strict';

    var waitFor = function waitFor(callback) {
        return andThen(function () {
            stop();
            Ember['default'].run.later(function () {
                callback();
                start();
            }, 500);
        });
    };

    Ember['default'].Test.registerHelper("waitFor", waitFor);

    var App;

    module("FoundationModal Acceptance Test", {
        setup: function setup() {
            App = startApp['default']();
        },
        teardown: function teardown() {
            Ember['default'].run(App, App.destroy);
        }
    });

    ember_qunit.test("can open and close the modal when used correctly", function (assert) {
        visit("/");
        waitFor(function () {
            var theModal = find("#my-modal");
            assert.ok(theModal.is(":hidden"));
        });
        click("#btn-open-modal");
        waitFor(function () {
            var theModal = find("#my-modal");
            assert.ok(!theModal.is(":hidden"));
        });
        click("#btn-close-modal");
        waitFor(function () {
            var theModal = find("#my-modal");
            assert.ok(theModal.is(":hidden"));
        });
    });

});