define('dummy/tests/unit/initializers/foundation-initializer-test', ['ember-cli-foundation-modal/initializers/foundation-initializer', 'qunit'], function (initializer, qunit) {

  'use strict';

  var foundationConfiguration;

  qunit.module("Foundation Initializer", {
    beforeEach: function beforeEach() {
      foundationConfiguration = {};
      $.fn.foundation = function (config) {
        foundationConfiguration.reveal = config.reveal;
      };
    }
  });

  qunit.test("foundation modal root_element can be set", function (assert) {
    initializer['default']({}, { foundationModalElement: "body" });

    assert.equal("body", foundationConfiguration.reveal.root_element);
  });

  qunit.test("foundation modal root_element has a default", function (assert) {
    initializer['default']({}, {});

    assert.equal("div.ember-view", foundationConfiguration.reveal.root_element);
  });

});